<?xml version="1.0" encoding="UTF-8"?>
<!--Taxonomy Schema File created by Certent CDM HD version: 22.4.1-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:TEL="http://www.telenor.com/2022-12-31" xmlns:num="http://www.xbrl.org/dtr/type/numeric" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:widernarrower="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" xmlns:p0="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor" targetNamespace="http://www.telenor.com/2022-12-31" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo>
      <link:roleType roleURI="http://www.esma.europa.eu/xbrl/role/all/esef_role-000000_extended" id="esef_role-000000_extended">
        <link:definition>[000000] Tags that must be applied if corresponding information is present in a report</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.telenor.com/2022-12-31/xbrl/role/Anchoring" id="Anchoring">
        <link:definition>[000099] Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-310000_extended" id="ias_1_role-310000_extended">
        <link:definition>[310000] Statement of comprehensive income, profit or loss, by function of expense</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-420000_extended" id="ias_1_role-420000_extended">
        <link:definition>[420000] Statement of comprehensive income, OCI components presented before tax</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.telenor.com/2022-12-31/xbrl/role/StatementOfFinancialPositionOrderOfLiquidity" id="StatementOfFinancialPositionOrderOfLiquidity">
        <link:definition>[500000] Statement of financial position, order of liquidity</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.esma.europa.eu/xbrl/role/all/ias_1_role-610000_extended" id="ias_1_role-610000_extended">
        <link:definition>[610000] Statement of changes in equity</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.telenor.com/2022-12-31/xbrl/role/StatementOfCashFlowsIndirectMethod" id="StatementOfCashFlowsIndirectMethod">
        <link:definition>Statement of cash flows, indirect method</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:linkbaseRef xlink:type="simple" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-lab-en.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef"></link:linkbaseRef>
      <link:linkbaseRef xlink:type="simple" xlink:href="549300IM1QSBY4SLPM26-2022-12-31_pre.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef"></link:linkbaseRef>
      <link:linkbaseRef xlink:type="simple" xlink:href="549300IM1QSBY4SLPM26-2022-12-31_cal.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef"></link:linkbaseRef>
      <link:linkbaseRef xlink:type="simple" xlink:href="549300IM1QSBY4SLPM26-2022-12-31_def.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef"></link:linkbaseRef>
      <link:linkbaseRef xlink:type="simple" xlink:href="549300IM1QSBY4SLPM26-2022-12-31_lab-no.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef"></link:linkbaseRef>
      <link:linkbaseRef xlink:type="simple" xlink:href="549300IM1QSBY4SLPM26-2022-12-31_lab-en.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef"></link:linkbaseRef>
    </xs:appinfo>
  </xs:annotation>
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"></xs:import>
  <xs:import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"></xs:import>
  <xs:import namespace="http://www.xbrl.org/dtr/type/numeric" schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd"></xs:import>
  <xs:import namespace="http://www.xbrl.org/dtr/type/non-numeric" schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd"></xs:import>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"></xs:import>
  <xs:import namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd"></xs:import>
  <xs:import namespace="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor" schemaLocation="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor.xsd"></xs:import>
  <xs:element id="TEL_EbitdaAbstract" abstract="true" name="EbitdaAbstract" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"></xs:element>
  <xs:element id="TEL_ProfitLossFromOperatingActivitiesAbstract" abstract="true" name="ProfitLossFromOperatingActivitiesAbstract" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"></xs:element>
  <xs:element id="TEL_FinanceIncomeCostAbstract" abstract="true" name="FinanceIncomeCostAbstract" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"></xs:element>
  <xs:element id="TEL_ProfitLossBeforeTaxAbstract" abstract="true" name="ProfitLossBeforeTaxAbstract" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"></xs:element>
  <xs:element id="TEL_ProfitLossFromContinuingOperationsAbstract" abstract="true" name="ProfitLossFromContinuingOperationsAbstract" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"></xs:element>
  <xs:element id="TEL_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract" abstract="true" name="OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"></xs:element>
  <xs:element id="TEL_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTaxAbstract" abstract="true" name="OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTaxAbstract" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"></xs:element>
  <xs:element id="TEL_TotalProfitBeforeTaxesAbstract" abstract="true" name="TotalProfitBeforeTaxesAbstract" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"></xs:element>
  <xs:element id="TEL_IncreaseDecreaseInCashAndCashEquivalentsAbstract" abstract="true" name="IncreaseDecreaseInCashAndCashEquivalentsAbstract" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration"></xs:element>
  <xs:element id="TEL_ContractCostsAndPrepaidCosts" xbrli:periodType="instant" xbrli:balance="debit" name="ContractCostsAndPrepaidCosts" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_CashAndCashEquivalentsSum" xbrli:periodType="instant" xbrli:balance="debit" name="CashAndCashEquivalentsSum" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_Noncurrentinterestbearingliabilities" xbrli:periodType="instant" xbrli:balance="credit" name="Noncurrentinterestbearingliabilities" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_Noncurrentnoninterestbearingliabilities" xbrli:periodType="instant" xbrli:balance="credit" name="Noncurrentnoninterestbearingliabilities" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_Currentinterestbearingliabilities" xbrli:periodType="instant" xbrli:balance="credit" name="Currentinterestbearingliabilities" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_Currentnoninterestbearingliabilities" xbrli:periodType="instant" xbrli:balance="credit" name="Currentnoninterestbearingliabilities" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_Ebitda" xbrli:periodType="duration" xbrli:balance="credit" name="Ebitda" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_CostOfMaterialsAndTrafficCharges" xbrli:periodType="duration" xbrli:balance="debit" name="CostOfMaterialsAndTrafficCharges" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_ShareOfNetIncomeLossFromAssociatedCompaniesAndJointVentures" xbrli:periodType="duration" xbrli:balance="credit" name="ShareOfNetIncomeLossFromAssociatedCompaniesAndJointVentures" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_Gainslossesondisposalassociatedcompaniesjointventures" xbrli:periodType="duration" xbrli:balance="credit" name="Gainslossesondisposalassociatedcompaniesjointventures" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_FinanceIncomeOther" xbrli:periodType="duration" xbrli:balance="credit" name="FinanceIncomeOther" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_FinancialExpenses" xbrli:periodType="duration" xbrli:balance="debit" name="FinancialExpenses" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_OtherChanges" xbrli:periodType="duration" xbrli:balance="credit" name="OtherChanges" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatementOnPartialDisposal" xbrli:periodType="duration" xbrli:balance="credit" name="AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatementOnPartialDisposal" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatement" xbrli:periodType="duration" xbrli:balance="credit" name="AmountReclassifiedFromOtherComprehensiveIncomeToIncomeStatement" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_NetShareOfOtherComprehensiveIncomeLossOfAssociatedCompaniesAndJointVentures" xbrli:periodType="duration" xbrli:balance="credit" name="NetShareOfOtherComprehensiveIncomeLossOfAssociatedCompaniesAndJointVentures" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_Amountreclassifiedfromothercomprehensiveincometoincomestatementondisposal" xbrli:periodType="duration" xbrli:balance="credit" name="Amountreclassifiedfromothercomprehensiveincometoincomestatementondisposal" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_NetGainLossOnEquityInvestments" xbrli:periodType="duration" xbrli:balance="credit" name="NetGainLossOnEquityInvestments" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_Disposalofequityinvestmentsatfairvaluethroughothercomprehensiveincome" xbrli:periodType="duration" xbrli:balance="credit" name="Disposalofequityinvestmentsatfairvaluethroughothercomprehensiveincome" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_Equityadjustmentsinassociatedcompanies" xbrli:periodType="duration" xbrli:balance="credit" name="Equityadjustmentsinassociatedcompanies" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_OtherrreservesMember" xbrli:periodType="duration" abstract="true" name="OtherrreservesMember" substitutionGroup="xbrli:item" type="nonnum:domainItemType"></xs:element>
  <xs:element id="TEL_TotalProfitBeforeTaxes" xbrli:periodType="duration" xbrli:balance="credit" name="TotalProfitBeforeTaxes" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_Profitlossbeforetaxesfromdiscontinuedoperations" xbrli:periodType="duration" xbrli:balance="credit" name="Profitlossbeforetaxesfromdiscontinuedoperations" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_Netsharenetincomelossgainslossesondisposalassociatedcompaniesandandjointventures" xbrli:periodType="duration" xbrli:balance="debit" name="Netsharenetincomelossgainslossesondisposalassociatedcompaniesandandjointventures" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_ProceedsFromSaleOfPropertyPlantAndEquipmentIntangibleAssetsAndRightOfUseAssets" xbrli:periodType="duration" xbrli:balance="debit" name="ProceedsFromSaleOfPropertyPlantAndEquipmentIntangibleAssetsAndRightOfUseAssets" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_PurchasesOfPropertyPlantAndEquipmentIntangibleAssetsAndPrepaymentsForRightOfUseAssets" xbrli:periodType="duration" xbrli:balance="credit" name="PurchasesOfPropertyPlantAndEquipmentIntangibleAssetsAndPrepaymentsForRightOfUseAssets" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_Proceedsfromsaleofotherinvestments" xbrli:periodType="duration" xbrli:balance="debit" name="Proceedsfromsaleofotherinvestments" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_Purchasesofotherinvestments" xbrli:periodType="duration" xbrli:balance="debit" name="Purchasesofotherinvestments" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_PaymentsOfLeaseLiabilitiesRelatedToSpectrumLicences" xbrli:periodType="duration" xbrli:balance="credit" name="PaymentsOfLeaseLiabilitiesRelatedToSpectrumLicences" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_PaymentsOfLeaseLiabilitiesRelatedToOtherLeaseContracts" xbrli:periodType="duration" xbrli:balance="debit" name="PaymentsOfLeaseLiabilitiesRelatedToOtherLeaseContracts" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_Netpaymentsrelatedtosupplychainfinancing" xbrli:periodType="duration" xbrli:balance="credit" name="Netpaymentsrelatedtosupplychainfinancing" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
  <xs:element id="TEL_Cashandcashequivalentsexcludingassetsheldforsaleasof31December" xbrli:periodType="duration" xbrli:balance="debit" name="Cashandcashequivalentsexcludingassetsheldforsaleasof31December" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"></xs:element>
</xs:schema>